"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerFacet = exports.getFacet = void 0;
var util_1 = require("@antv/util");
var facet_1 = require("./facet");
Object.defineProperty(exports, "Facet", { enumerable: true, get: function () { return facet_1.Facet; } });
/**
 * 所有的 Facet 类
 */
var Facets = {};
/**
 * 根据 type 获取 facet 类
 * @param type 分面类型
 */
exports.getFacet = function (type) {
    return Facets[util_1.lowerCase(type)];
};
/**
 * 注册一个 Facet 类
 * @param type 分面类型
 * @param ctor 分面类
 */
exports.registerFacet = function (type, ctor) {
    Facets[util_1.lowerCase(type)] = ctor;
};
//# sourceMappingURL=index.js.map